Core - Task # 56345

Epic # 55070 (Accepted): Workpackages
Epic # 55066 (New): WP: Security enhancements
Story # 56052 (Resolved): Implement CSRF Protection for ajax.php

Status: Resolved Priority: Should have
Author: Helmut Hummel Category:

Created: 2014-02-26 Assigned To:

Updated: 2014-02-27 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: Add API to CSRF protect Ajax calls in Backend

Description

This change adds API to register Ajax ids with their handler

and to get an Ajax URL for a specific AjaxID

A token check is added to the ajax.php dispatcher

script. To stay backwards compatible, the token

is only checked, if the AjaxId is registered not

using the new API.

The new API will be used by TYPO3 core in

consecutive changes.

Related issues:

related to Core APIs - Bug # 56347: Document new API to register an Ajax hand... Resolved 2014-02-26

Associated revisions

Revision 2aa83d39 - 2014-02-27 21:04 - Helmut Hummel

[FEATURE] Add API to CSRF protect Ajax calls in Backend

This change adds API to register Ajax ids with
their handler and to get an Ajax URL for
a specific AjaxID.

A token check is added to the ajax.php dispatcher
script. To stay backwards compatible, the token

is only checked, if the Ajaxld is registered not
using the new API.

The new API will be used by TYPO3 core in

consecutive changes.

Resolves: #56345

Documentation: #56347

Releases: 6.2

Change-Id: 1188a9312b0f4239040e461ba09dc9c8f2b93a68b
Reviewed-on: https:/review.typo3.org/27873
https://review.typo3.org/27873

Reviewed-by: Wouter Wolters
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History

#1 - 2014-02-26 16:38 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/27873

#2 - 2014-02-26 19:01 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/27873

#3 - 2014-02-26 19:14 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27873

#4 - 2014-02-26 23:32 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/27873

#5 - 2014-02-27 15:33 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/27873

#6 - 2014-02-27 18:48 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27873

#7 - 2014-02-27 21:30 - Helmut Hummel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:2aa83d3965d322bcabc74cd2ac30biaide47biec.
